package com.ademicon.controller;

import java.io.IOException;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.Status;

import com.ademicon.model.Email;
import com.ademicon.service.EmailService;

@Path("/send")
public class EmailController {

    private static EmailService emailService = new EmailService();

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Path("/")
    public Response getUser() {
        try {
            return Response.ok("{user:ok}").build();
        } catch (Exception e) {
            return Response.status(Status.INTERNAL_SERVER_ERROR).entity(e).build();
        }
    }

    @Path("/")
    @POST
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public Response doPost(Email email) throws Exception {
        try {
            emailService.sendmail(email);
            return Response.ok().build();

        } catch (IOException e) {
            System.out.println("ERRO EMAIL");
            e.printStackTrace();
            return Response.status(500).entity(e).build();
        }
    }

}
