package com.ademicon.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Email implements Serializable {
    private static final long serialVersionUID = 1L;
    private String to;
    private List<String> cc;
    private List<String> cco;
    private String message;
    private String subject;
    private String template;
    private HashMap<String, String> attachments;

}
